Bug#530306: Mrs. Brown Janet Will Funds!!

2012-07-08 Thread Brown Janet


I have Charity assignment on physically challenged persons and orphanage. 

Reply with details if interested.


Processed: spread: fix for Uninstall of spread breaks dpkg

2012-07-08 Thread Debian Bug Tracking System
Processing commands for cont...@bugs.debian.org:

> tags 613842 + patch
Bug #613842 [spread] Uninstall of spread breaks dpkg
Added tag(s) patch.
> thanks
Stopping processing here.

Please contact me if you need assistance.
-- 
613842: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=613842
Debian Bug Tracking System
Contact ow...@bugs.debian.org with problems


--
To UNSUBSCRIBE, email to debian-qa-packages-requ...@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmas...@lists.debian.org
Archive: 
http://lists.debian.org/handler.s.c.134174740620932.transcr...@bugs.debian.org



Bug#613842: spread: fix for Uninstall of spread breaks dpkg

2012-07-08 Thread Evgeni Golov
tags 613842 + patch
thanks

Hi,

attached is a patch that solves the issue for me.
The reordering would have been enough in most cases,
but I wanted to safeguard it a bit :)
No idea how that could have worked in the first place, or did dpkg
accept non-extisting users in statoverrides before?

No intent to NMU at this time due to #639916

Regards
Evgeni
diff -u spread-3.17.4/debian/changelog spread-3.17.4/debian/changelog
--- spread-3.17.4/debian/changelog
+++ spread-3.17.4/debian/changelog
@@ -1,3 +1,11 @@
+spread (3.17.4-4.1) UNRELEASED; urgency=low
+
+  * Non-maintainer upload.
+  * Only delete the user and group when no statoverrides are left
+Closes: #613842
+
+ -- Evgeni Golov   Sun, 08 Jul 2012 13:21:09 +0200
+
 spread (3.17.4-4) unstable; urgency=low
 
   * QA upload.
diff -u spread-3.17.4/debian/spread.postrm spread-3.17.4/debian/spread.postrm
--- spread-3.17.4/debian/spread.postrm
+++ spread-3.17.4/debian/spread.postrm
@@ -1,15 +1,22 @@
 #!/bin/sh -e
 
 if [ "$1" = "purge" ]; then
-		
-	if [ -x /usr/sbin/userdel -a -x /usr/sbin/groupdel ]; then
-		getent passwd spread >/dev/null && userdel spread
-		getent group spread >/dev/null && groupdel spread
-	fi
 
 	dpkg-statoverride --remove /etc/spread/spread.conf || true
 	dpkg-statoverride --remove /etc/spread || true
 	dpkg-statoverride --remove /var/run/spread || true
+
+	# only delete the user and group when no statoverrides are left
+	if ! dpkg-statoverride --list /etc/spread/spread.conf >/dev/null; then
+		if ! dpkg-statoverride --list /etc/spread >/dev/null; then
+			if ! dpkg-statoverride --list /var/run/spread >/dev/null; then
+if [ -x /usr/sbin/userdel -a -x /usr/sbin/groupdel ]; then
+	getent passwd spread >/dev/null && userdel spread
+	getent group spread >/dev/null && groupdel spread
+fi
+			fi
+		fi
+	fi
 fi
 
 #DEBHELPER#


Processing of rbbr_0.6.0-5_i386.changes

2012-07-08 Thread Debian FTP Masters
rbbr_0.6.0-5_i386.changes uploaded successfully to localhost
along with the files:
  rbbr_0.6.0-5.dsc
  rbbr_0.6.0-5.diff.gz
  rbbr_0.6.0-5_all.deb

Greetings,

Your Debian queue daemon (running on host franck.debian.org)


-- 
To UNSUBSCRIBE, email to debian-qa-packages-requ...@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmas...@lists.debian.org
Archive: http://lists.debian.org/e1snsaf-0008sa...@franck.debian.org



Bug#676105: marked as done (rbbr: FTBFS: missing build-dependency on ruby-gettext)

2012-07-08 Thread Debian Bug Tracking System
Your message dated Sun, 08 Jul 2012 14:47:49 +
with message-id 
and subject line Bug#676105: fixed in rbbr 0.6.0-5
has caused the Debian Bug report #676105,
regarding rbbr: FTBFS: missing build-dependency on ruby-gettext
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact ow...@bugs.debian.org
immediately.)


-- 
676105: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=676105
Debian Bug Tracking System
Contact ow...@bugs.debian.org with problems
--- Begin Message ---
Source: rbbr
Version: 0.6.0-3
Severity: serious
Tags: wheezy sid
User: debian...@lists.debian.org
Usertags: qa-ftbfs-20120604 qa-ftbfs
User: debian-r...@lists.debian.org
Usertags: default19
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
>  debian/rules build
> -e:1: Use RbConfig instead of obsolete and deprecated Config.
> -e:1: Use RbConfig instead of obsolete and deprecated Config.
> dh_testdir
> ruby install.rb config --prefix=/usr --site-ruby=/usr/lib/ruby/1.9.1
> install.rb:78: Use RbConfig instead of obsolete and deprecated Config.
> install.rb: entering config phase...
> ---> bin
> <--- bin
> ---> lib
> ---> lib/rbbr
> ---> lib/rbbr/ui
> ---> lib/rbbr/ui/gtk
> <--- lib/rbbr/ui/gtk
> <--- lib/rbbr/ui
> ---> lib/rbbr/doc
> <--- lib/rbbr/doc
> <--- lib/rbbr
> <--- lib
> ---> data
> ---> data/rbbr
> ---> data/rbbr/rd
> <--- data/rbbr/rd
> <--- data/rbbr
> <--- data
> install.rb: config done.
> ruby install.rb setup
> install.rb:78: Use RbConfig instead of obsolete and deprecated Config.
> install.rb: entering setup phase...
> L10n is not supported on this environment.
> make: *** [build-stamp] Error 1

The full build log is available from:
   http://people.debian.org/~lucas/logs/2012/06/04/rbbr_0.6.0-3_unstable.log

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on EC2 VM instances from
Amazon Web Services, using a clean, minimal and up-to-date chroot. Every
failed build was retried once to eliminate random failures.


--- End Message ---
--- Begin Message ---
Source: rbbr
Source-Version: 0.6.0-5

We believe that the bug you reported is fixed in the latest version of
rbbr, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 676...@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Luk Claes  (supplier of updated rbbr package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmas...@debian.org)


-BEGIN PGP SIGNED MESSAGE-
Hash: SHA1

Format: 1.8
Date: Sun, 08 Jul 2012 02:07:15 +
Source: rbbr
Binary: rbbr
Architecture: source all
Version: 0.6.0-5
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group 
Changed-By: Luk Claes 
Description: 
 rbbr   - a browser for Ruby classes and documentation
Closes: 676105
Changes: 
 rbbr (0.6.0-5) unstable; urgency=low
 .
   * QA upload.
   * Build-depend on ruby-gettext (Closes: #676105).
Checksums-Sha1: 
 57b77ff4cdd58efd1198e1f965b201ddc67a47bf 1037 rbbr_0.6.0-5.dsc
 c41ac0e87700fa89cc26a06d7fec517d0cdcd5d6 5751 rbbr_0.6.0-5.diff.gz
 673f32bc7a29e0c29f4d039023c741907bb0ad9e 52246 rbbr_0.6.0-5_all.deb
Checksums-Sha256: 
 ad067babff9faa9e0cc896a90dd262c7e5b65c65752324cab32d9e6a113c88c6 1037 
rbbr_0.6.0-5.dsc
 558e5df7874f589184885f0fd8b395f53500b9cba92fa2dd32db99ffb7486a4d 5751 
rbbr_0.6.0-5.diff.gz
 b3c87eee21f5444648f0fdf843bafd207c615d7b137e186046660c83566dcccb 52246 
rbbr_0.6.0-5_all.deb
Files: 
 388ed7b20316227393f43c9f741d4b00 1037 devel extra rbbr_0.6.0-5.dsc
 7a73a4505de075cd8f2bc288f6933eda 5751 devel extra rbbr_0.6.0-5.diff.gz
 bc325855cd31293ee6648ec4db66b2a7 52246 devel extra rbbr_0.6.0-5_all.deb

-BEGIN PGP SIGNATURE-
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk/5k+kACgkQ+C5cwEsrK57e6gCgw7KTdEi5Ld46w7a3ckbKd+s4
2wcAnAqQ4a6DDpVNe8AQZvoBiNO64771
=BNrJ
-END PGP SIGNATURE-


--- End Message ---


rbbr_0.6.0-5_i386.changes ACCEPTED into unstable

2012-07-08 Thread Debian FTP Masters



Accepted:
rbbr_0.6.0-5.diff.gz
  to main/r/rbbr/rbbr_0.6.0-5.diff.gz
rbbr_0.6.0-5.dsc
  to main/r/rbbr/rbbr_0.6.0-5.dsc
rbbr_0.6.0-5_all.deb
  to main/r/rbbr/rbbr_0.6.0-5_all.deb


Changes:
rbbr (0.6.0-5) unstable; urgency=low
 .
  * QA upload.
  * Build-depend on ruby-gettext (Closes: #676105).


Override entries for your package:
rbbr_0.6.0-5.dsc - source ruby
rbbr_0.6.0-5_all.deb - extra ruby

Announcing to debian-devel-chan...@lists.debian.org
Closing bugs: 676105 


Thank you for your contribution to Debian.


-- 
To UNSUBSCRIBE, email to debian-qa-packages-requ...@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmas...@lists.debian.org
Archive: http://lists.debian.org/e1snsm5-cp...@franck.debian.org



rbbr override disparity

2012-07-08 Thread Debian FTP Masters
There are disparities between your recently accepted upload and the
override file for the following file(s):

rbbr_0.6.0-5_all.deb: package says section is devel, override says ruby.


Please note that a list of new sections were recently added to the
archive: cli-mono, database, debug, fonts, gnu-r, gnustep, haskell,
httpd, java, kernel, lisp, localization, ocaml, php, ruby, vcs, video,
xfce, zope.  At this time a script was used to reclassify packages into
these sections.  If this is the case, please only reply to this email if
the new section is inappropriate, otherwise please update your package
at the next upload.

Either the package or the override file is incorrect.  If you think
the override is correct and the package wrong please fix the package
so that this disparity is fixed in the next upload.  If you feel the
override is incorrect then please file a bug against ftp.debian.org and
explain why. Please INCLUDE the list of packages as seen above, or we
won't be able to deal with your request due to missing information.

Please make sure that the subject of the bug you file follows the
following format:

Subject: override: BINARY1:section/priority, [...], BINARYX:section/priority

Include the justification for the change in the body of the mail please.


[NB: this is an automatically generated mail; if you already filed a bug
and have not received a response yet, please ignore this mail.  Your bug
needs to be processed by a human and will be in due course, but until
then the installer will send these automated mails; sorry.]

--
Debian distribution maintenance software

(This message was generated automatically; if you believe that there
is a problem with it please contact the archive administrators by
mailing ftpmas...@debian.org)


-- 
To UNSUBSCRIBE, email to debian-qa-packages-requ...@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmas...@lists.debian.org
Archive: http://lists.debian.org/e1snsma-de...@franck.debian.org